<?php

/**
 * Plugin cibloc
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/cibloc_lire_cache');
include_spip('inc/cibloc_commun');

function cibloc_ecrire_js_definition_bloc($arg = '') {
	// lire le cache
	cibloc_lire_cache_definition();
	return base64_decode(cibloc_definition_bloc());
}

function cibloc_ecrire_js_definition_texte($arg = '') {
	// lire le cache
	cibloc_lire_cache_definition();
	return base64_decode(cibloc_definition_texte());
}

function cibloc_ecrire_js_definition_multi($arg = '') {
	// lire le cache
	cibloc_lire_cache_definition();
	return base64_decode(cibloc_definition_multi());
}

function cibloc_ecrire_js_definition_ensemble($arg = '') {
	// lire le cache
	cibloc_lire_cache_definition();
	return base64_decode(cibloc_definition_ensemble());
}

function cibloc_ecrire_js_affichage_icone($arg = '') {
	return base64_decode(cibloc_liste_des_icones_en_base64());
}
